/*
 * Simple Framework - Console Extension v0.2
 *
 * Copyleft 2012, Valentin Schmidt
 * Date: 2012-03-20
 *
 * Requirements: console.dir (by default compiled into stub.exe)
 */
 
this.scriptfile = "framework_console.js"; // useful for debugging

// overwrite default implementation based on trace
$.log = function(){
	var a = [];
	this.each(arguments, function(i, e){a.push(e)});
	var res = a.join(' ');
  _player.window["console"]._movie.show(res);
}

// overwrite default implementation
$.clear = function(){
  _player.window["console"]._movie.clear();
}

// called by console window
$.evalJS = function(code){
  var r;
  try{
    //r = eval(code);
    r = this.eval(code);// evaluate in framework scope (so "$." can be omitted)
  }catch(e){
    r = e;
  }
  return r==undefined?'':'// '+r+''; //.toString()
}

// CREATE CONSOLE WINDOW
$.jsconsole = new window("console");
$.jsconsole.fileName = _movie.path+"console";
//$.jsconsole.open();

// OPTIONAL: implement compatibility with common browser console API, e.g. console.log(..)
_global.console = {};
$.each(["log","info","warn","dir","clear","error"], function(i,v){
	_global.console[v] = function(){$[v].apply($,arguments);};
});
